Subject: Re: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Michael Albinus <[email-masked]>
Date: Tue, 22 Mar 2016 14:35:18 +0100

Stefan Monnier <[email-masked]> writes:

>> I'm speaking only about two different cases. File name completion
>> started by user activity, like hitting TAB. And file name completion
>> started in the background, for example via idle timers.
>
> Also known as: the case where non-essential is nil and the case where
> it's non-nil.

Stefan, just a simple question: do you agree that Tramp shall be
informed that file name completion is in progress? I do not insist
that's via non-essential, any way this information bit is given will be
appreciated.

And in case you refuse this: why?

> -- Stefan

Best regards, Michael.